org.apache.xmlbeans.impl.inst2xsd.util

## Class Attribute

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.util.Attribute

-     public class Attribute
      extends Object

  Author:
    Cezar Andrei (cezar.andrei at bea.com) Date: Jul 18, 2004

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getName()`
    `Attribute` | `getRef()`
    `Type` | `getType()`
    `boolean` | `isGlobal()`
    `boolean` | `isOptional()`
    `boolean` | `isRef()`
    `void` | `setGlobal(boolean isGlobal)`
    `void` | `setName(QName name)`
    `void` | `setOptional(boolean isOptional)`
    `void` | `setRef(Attribute ref)`
    `void` | `setType(Type type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### getName

          public QName getName()

    - #### setName

          public void setName(QName name)

    - #### getType

          public Type getType()

    - #### setType

          public void setType(Type type)

    - #### isRef

          public boolean isRef()

    - #### getRef

          public Attribute getRef()

    - #### setRef

          public void setRef(Attribute ref)

    - #### isGlobal

          public boolean isGlobal()

    - #### setGlobal

          public void setGlobal(boolean isGlobal)

    - #### isOptional

          public boolean isOptional()

    - #### setOptional

          public void setOptional(boolean isOptional)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`